package com.steerinfo.baseinfo.meterbasemattertimes.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class MeterBaseMatterTimes implements IBasePO<String> {
    /**
     * 关联编号(MATTER_TIMES_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="关联编号",required=true)
    private String matterTimesNo;

    /**
     * 时间编号(TIMES_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="时间编号",required=false)
    private String timesNo;

    /**
     * 物料编号(MATTER_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String matterNo;

    /**
     * 物料名称(MATTER_NAME,VARCHAR,60)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String matterName;

    /**
     * 物料属性编号(MATTER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="物料属性编号",required=false)
    private String matterNatureNo;

    /**
     * 物料属性名称(MATTER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="物料属性名称",required=false)
    private String matterNatureName;

    /**
     * 计量属性编号(METER_NATURE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量属性编号",required=false)
    private String meterNatureNo;

    /**
     * 计量属性名称(METER_NATURE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="计量属性名称",required=false)
    private String meterNatureName;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=true)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=true)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createTime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.matterTimesNo;
    }

    @Override
    public void setId(String matterTimesNo) {
        this.matterTimesNo = matterTimesNo == null ? null : matterTimesNo.trim();
    }

    public String getMatterTimesNo() {
        return matterTimesNo;
    }

    public void setMatterTimesNo(String matterTimesNo) {
        this.matterTimesNo = matterTimesNo == null ? null : matterTimesNo.trim();
    }

    public String getTimesNo() {
        return timesNo;
    }

    public void setTimesNo(String timesNo) {
        this.timesNo = timesNo == null ? null : timesNo.trim();
    }

    public String getMatterNo() {
        return matterNo;
    }

    public void setMatterNo(String matterNo) {
        this.matterNo = matterNo == null ? null : matterNo.trim();
    }

    public String getMatterName() {
        return matterName;
    }

    public void setMatterName(String matterName) {
        this.matterName = matterName == null ? null : matterName.trim();
    }

    public String getMatterNatureNo() {
        return matterNatureNo;
    }

    public void setMatterNatureNo(String matterNatureNo) {
        this.matterNatureNo = matterNatureNo == null ? null : matterNatureNo.trim();
    }

    public String getMatterNatureName() {
        return matterNatureName;
    }

    public void setMatterNatureName(String matterNatureName) {
        this.matterNatureName = matterNatureName == null ? null : matterNatureName.trim();
    }

    public String getMeterNatureNo() {
        return meterNatureNo;
    }

    public void setMeterNatureNo(String meterNatureNo) {
        this.meterNatureNo = meterNatureNo == null ? null : meterNatureNo.trim();
    }

    public String getMeterNatureName() {
        return meterNatureName;
    }

    public void setMeterNatureName(String meterNatureName) {
        this.meterNatureName = meterNatureName == null ? null : meterNatureName.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", matterTimesNo=").append(matterTimesNo);
        sb.append(", timesNo=").append(timesNo);
        sb.append(", matterNo=").append(matterNo);
        sb.append(", matterName=").append(matterName);
        sb.append(", matterNatureNo=").append(matterNatureNo);
        sb.append(", matterNatureName=").append(matterNatureName);
        sb.append(", meterNatureNo=").append(meterNatureNo);
        sb.append(", meterNatureName=").append(meterNatureName);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}